Get an ACME account by ID

Retrieve an ACME account by its ID

Path parameters
accountId
string (Internal ID) required

The ID of the account

Responses
  • 200 ACME account found
    _id
    string (Internal ID) required

    Object internal ID

    jwk
    object (JsonWebKey) required
    keyThumbprint
    string required
    status
    string (AccountStatus) required

    The current status of the ACME account. See AccountStatus for impact details.

    Enum valid deactivated suspended revoked compromised compromised_pending
    createdAt
    integer required
    contact
    array of string
    termsOfServiceAgreed
    boolean
    initialIp
    string
    eabName
    string
    compromisedAt
    integer

    The date when the account was compromised

    compromissionReason
    string | null (Revocation Reason)

    One of: unspecified, keycompromise, cacompromise, affiliationchange, superseded, cessationofoperation

  • 401 Authentication error
  • 403 Forbidden action
  • 404 ACME account not found
    status
    integer required

    The http status code of the error. In compliance with RFC7807

    Value 404
    error
    string required

    The error code of the problem

    Value ACME-004
    message
    string required

    A short, human-readable summary of the problem type

    Value Account does not exist
    title
    string required

    A short, human-readable summary of the problem type. In compliance with RFC7807

    Value Account does not exist
    detail
    string | null

    A human-readable explanation specific to this occurrence of the problem. In compliance with RFC7807

  • 500 Unexpected internal server error